Create a Custodian Manual Execution Order

Creates an execution order routed directly to a custodian for the given parent order.

Requirements:

  • The parent order must be in the pending_execution or partially_filled state.
  • amount.type must be shares or notional. par is not supported on this endpoint.
  • limit_price, when provided, is interpreted as price per share.
  • Multiple execution orders can be created for a single order provided that the sum of their open quantities does not exceed the open quantity of the order.

Once submitted, you will receive one of the following events:

  • A system_update event with an event_type of execution_order_request that indicates the request was received.
  • A system_update event with an event_type of execution_order_reject if the request fails.
  • An order_update event with an event_type of execution_order_create if the request succeeds & is pending execution.

All events include the execution_order_id.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique, Moment-generated ID for the order.

Body Params
algo_parameters
object

Execution parameters for custodian algos. Exactly one of twap, vwap, or pov must be set.
Only supported on the custodian protocol with the manual strategy. Fields or values not accepted
by a given custodian are rejected downstream.

boolean

Flag to indicate if the order should be executed as an All or None order.

amount
object
required

The Amount of an order with a specified type indicating how the amount is represented.

  • Par: Represents the order size in face value (e.g., a corporate bond with a $1,000 face value).
  • Notional: Represents the order size in notional dollar value.
  • Shares: Represents the order size in number of shares (for equities).
string | null

Optional annotation for the execution order.

string
required

Idempotency key for the execution order request.

double | null

Limit price (per share) of the execution order request. If omitted, the execution order inherits its price and order type from the parent order: market parent orders ship as market orders, limit parent orders use the parent limit price.

boolean
Defaults to false

Flag to toggle if the Prevailing Market Price (PMP) check should be suppressed for the execution order.

string

an option to supply with a new trader ID

Headers
string
required
string
required
string
required
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json